@font-face {
  font-family: minecraft;
  src: url(../fonts/Minecraft\ Evenings.ttf);
}
* {
  margin: 0;
  padding: 0;
  color: white;
}
body {
  background-size: cover;
  background-size: 100% 100%;
  background-attachment: fixed;
  background-image: url(../pictures/minecraft\ bg.jpg);
  background-size: cover;
  background-position: center;
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-content: space-between;
  justify-content: space-between;
}
.headerCont {
  width: 100vw;
  height: 18vh;
  background-color: rgba(240, 248, 255, 0.521);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0 0 7px 7px;
}
.mainCont {
  position: relative;
  flex: 1;
}

.dateAndTimeCont {
  position: absolute;
  top: 0;
  right: 0;
  font-size: 1.3rem;
  font-weight: bolder;
  margin-right: 18px;
  display: flex;
  align-items: center;
  & > .dateCont {
    margin-right: 7px;
  }
}

.logo {
  font-family: minecraft;
  color: rgb(50, 54, 54);
  font-size: 7em;
  animation: slideFromLeft 1.3s;
}

/* footer styles */
.footerCont {
  text-align: center;
  font-family: monospace;
  height: 3vh;
}
@media screen and (max-width: 320px) {
  body {
    background-image: url(../pictures/minecraft\ bg\ resized.jpg);
    background-size: 320px 636px;
  }
}

@media screen and (max-width: 375px) {
  body {
    background-image: url(../pictures/minecraft\ bg\ resized\ 2.jpg);
  }
  .logo {
    font-size: 3rem;
  }
}
@media screen and (max-width: 657px) {
  .logo {
    font-size: 4rem;
  }
}

/* animations */
#clockDivider {
  transform: translateY(-1.6px);
  /* i already tried df and then align-items: center; but result was not what i wanted  */
  animation: blink 1s infinite;
}
@keyframes blink {
  50% {
    opacity: 0;
  }
}

@keyframes slideFromLeft {
  0% {
    transform: translateX(-100%);
    /* transform: translateY(-100%); */
  }
}

.loremText {
  width: 200px;
  height: 100px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: flex;
  align-items: center;
  gap: 8px;
  min-height: 47px;
}

.loremText::before {
  display: inline-block;
  content: "";
  background-image: url(../pictures/icon.png);
  width: 47px;
  height: 47px;
  background-position: center;
  background-size: cover;
  flex-shrink: 0;
}
.loremText::after {
  content: "💥";
}
